Name:           python-wpgtk
Version:        6.6.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        GTK+ theme/wallpaper manager which uses pywal as its core

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/deviantfero/wpgtk
Source:         %{pypi_source wpgtk}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'wpgtk' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-wpgtk
Summary:        %{summary}

%description -n python3-wpgtk %_description


%prep
%autosetup -p1 -n wpgtk-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-wpgtk -f %{pyproject_files}


%changelog
%autochangelog